
#!/bin/sh

SCRIPT_DIR="$( cd "$( dirname "${0}" )" >/dev/null 2>&1 && pwd )"

# install tiscamera debian package
sudo apt install -y ${SCRIPT_DIR}/dfg-usbtohdmi-initial/tiscamera_0.11.1.2622~pi_hdmi_converter_8d77619b_armhf.deb

# fix dfg-usbtohdmi.service file to point to the 'dfg-usbtohdmi-updater' file next to this script
sed -i "s+ExecStart=.*+ExecStart=${SCRIPT_DIR}/dfg-usbtohdmi-updater+" ${SCRIPT_DIR}/dfg-usbtohdmi.service

## install script
sudo cp ${SCRIPT_DIR}/dfg-usbtohdmi.service /etc/systemd/system/

## enable service
sudo systemctl enable dfg-usbtohdmi
